低危 ISC BIND up to 9.9.4 DNS Query bin/named/query.c query_findclosestnsec3 拒绝服务漏洞

CVE编号

CVE-2014-0591

利用情况

暂无

补丁情况

官方补丁

披露时间

2014-01-14
漏洞描述
ISC BIND是一款DNS协议的实现。

ISC BIND query_findclosestnsec3()函数(bin/named/query.c)在解析NSEC3签名域的DNS查询时存在安全漏洞,允许远程攻击者利用漏洞提交特制的请求,使named崩溃,造成拒绝服务攻击。

提供NSEC3签名域的权威域名服务器受此漏洞影响。
解决建议
ISC BIND 9.6-ESV-R10-P2, 9.8.6-P2和9.9.4-P2已经修复该漏洞,建议用户下载更新:
https://www.isc.org/downloads/bind/
参考链接
http://archives.neohapsis.com/archives/bugtraq/2014-10/0103.html
http://linux.oracle.com/errata/ELSA-2014-1244
http://lists.fedoraproject.org/pipermail/package-announce/2014-January/126761.html
http://lists.fedoraproject.org/pipermail/package-announce/2014-January/126772.html
http://lists.opensuse.org/opensuse-security-announce/2015-03/msg00009.html
http://lists.opensuse.org/opensuse-updates/2014-02/msg00016.html
http://lists.opensuse.org/opensuse-updates/2014-02/msg00019.html
http://marc.info/?l=bugtraq&m=138995561732658&w=2
http://osvdb.org/101973
http://rhn.redhat.com/errata/RHSA-2014-0043.html
http://secunia.com/advisories/56425
http://secunia.com/advisories/56427
http://secunia.com/advisories/56442
http://secunia.com/advisories/56493
http://secunia.com/advisories/56522
http://secunia.com/advisories/56574
http://secunia.com/advisories/56871
http://secunia.com/advisories/61117
http://secunia.com/advisories/61199
http://secunia.com/advisories/61343
http://www.debian.org/security/2014/dsa-3023
http://www.freebsd.org/security/advisories/FreeBSD-SA-14:04.bind.asc
http://www.mandriva.com/security/advisories?name=MDVSA-2014:002
http://www.securityfocus.com/bid/64801
http://www.securitytracker.com/id/1029589
http://www.slackware.com/security/viewer.php?l=slackware-security&y=2014&m=sl...
http://www.slackware.com/security/viewer.php?l=slackware-security&y=2014&m=sl...
http://www.ubuntu.com/usn/USN-2081-1
https://bugzilla.redhat.com/show_bug.cgi?id=1051717
https://kb.isc.org/article/AA-01078
https://kb.isc.org/article/AA-01085
https://support.apple.com/kb/HT6536
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 isc bind 9.6 -
运行在以下环境
应用 isc bind 9.6.0 -
运行在以下环境
应用 isc bind 9.6.1 -
运行在以下环境
应用 isc bind 9.6.2 -
运行在以下环境
应用 isc bind 9.6.3 -
运行在以下环境
应用 isc bind 9.7.0 -
运行在以下环境
应用 isc bind 9.7.1 -
运行在以下环境
应用 isc bind 9.7.2 -
运行在以下环境
应用 isc bind 9.7.3 -
运行在以下环境
应用 isc bind 9.7.4 -
运行在以下环境
应用 isc bind 9.7.5 -
运行在以下环境
应用 isc bind 9.7.6 -
运行在以下环境
应用 isc bind 9.7.7 -
运行在以下环境
应用 isc bind 9.8.0 -
运行在以下环境
应用 isc bind 9.8.1 -
运行在以下环境
应用 isc bind 9.8.2 -
运行在以下环境
应用 isc bind 9.8.3 -
运行在以下环境
应用 isc bind 9.8.4 -
运行在以下环境
应用 isc bind 9.8.5 -
运行在以下环境
应用 isc bind 9.8.6 -
运行在以下环境
应用 isc bind 9.9.4 -
运行在以下环境
系统 amazon_AMI bind * Up to
(excluding)
9.8.2-0.23.rc1.32.amzn1
运行在以下环境
系统 centos_5 bind * Up to
(excluding)
9.7.0-21.P2.el5
运行在以下环境
系统 centos_6 bind * Up to
(excluding)
9.8.2-0.23.rc1.el6_5.1
运行在以下环境
系统 debian_6 bind * Up to
(excluding)
1:9.7.3.dfsg-1~squeeze12
运行在以下环境
系统 debian_7 bind * Up to
(excluding)
1:9.8.4.dfsg.P1-6+nmu2+deb7u2
运行在以下环境
系统 oracle_5 bind * Up to
(excluding)
9.7.0-21.P2.el5
运行在以下环境
系统 oracle_6 bind * Up to
(excluding)
9.8.2-0.23.rc1.el6_5.1
运行在以下环境
系统 suse_11_SP2 bind * Up to
(excluding)
9.9.4P2-0.6.1
运行在以下环境
系统 suse_11_SP3 bind * Up to
(excluding)
9.9.4P2-0.6.1
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    -
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况